import { defineConfig } from "vite";
import react from "@vitejs/plugin-react";

const port = Number(process.env.PORT ?? "1420");

export default defineConfig({
  plugins: [react()],
  clearScreen: false,
  server: {
    port,
    strictPort: true,
    host: "127.0.0.1",
    fs: {
      allow: [".."]
    }
  },
  envPrefix: ["VITE_", "TAURI_"]
});
